Bug 244744 - [RFE] vgsplit check for active LVs may be too restrictive
[RFE] vgsplit check for active LVs may be too restrictive
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Zdenek Kabelac
Corey Marthaler
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 17:17 EDT by Dave Wysochanski
Modified: 2014-04-22 09:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2007-06-18 17:17:44 EDT
This snip of the code is in question:

	if ((active = lvs_in_vg_activated(vg_from))) {
		/* FIXME Remove this restriction */
		log_error("Logical volumes in \"%s\" must be inactive",
			  vg_name_from);
		goto error;
	}


It is not clear if this code is necessary.  In particular:
1) is it necessary to check LVs not involved with PVs on the vgsplit cmdline?
2) is it necessary to check activated LVs at all?

Initial investigation / discussions indicate at least #1 may not be necessary
and perhaps even #2.  But it needs checked throughly for all LV types, etc.

Excessive restrictions can cause issues that have been seen on the lists:
https://www.redhat.com/archives/linux-lvm/2007-June/msg00022.html


# vgsplit -v vg00 vg01 /dev/sdb3
    Checking for volume group "vg00"
    Checking for volume group "vg01"
    Wiping cache of LVM-capable devices
  Logical volumes in "vg00" must be inactive

I did deactivate (lvchange) the lv that is using /dev/sdb3. But that
doesn't seem enough. Does vgsplit actually need ALL lvs to be inactive?
This makes little sense to me since the other lvs are not affected at
all by vgsplit.

I've found
http://www.redhat.com/archives/fedora-list/2007-January/msg03485.html
which suggests that vgsplit can only be done with all lvs inactive. This
would be mean booting from a cdrom for me as my root filesystem is on
vg00. So far I have been doing all this online, and I'd like to keep it
that way.

Is this at all possible? Can someone confirm that vgsplit needs all lvs
on the source vg to be inactive?
Comment 1 Dave Wysochanski 2007-06-19 12:03:49 EDT
Alasdair has pointed out that you at least need to check active LVs involved on
the cmdline because of the dm table (duh -  should have seen that!).  Also the
UUID change is a problem. 
Comment 2 Dave Wysochanski 2008-04-11 10:58:19 EDT
Changes now upstream.
Comment 3 Bug Zapper 2008-05-13 22:59:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:39:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-15 04:28:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Zdenek Kabelac 2014-04-22 09:04:10 EDT
This bug needs further investigation  - since if the  LVs on splitted PV are inactive, it should not require to have inactive also unrelated LVs to vgsplit operation.

Note You need to log in before you can comment on or make changes to this bug.